Set Deployment Domain Name for a resource kind.

  • PUT /platform/configuration/networking/deployment_domain_name/{resource_kind}
Auth

Saves the Deployment Domain Name configuration value for a resource kind.

Path parameters

resource_kind enum required

The kind of resource you want to manage a Deployment Domain Name for.

Values: elasticsearch kibana apm appsearch enterprise_search integrations_server

Query parameters

version string

If specified, then checks for conflicts against the version stored in the persistent store (returned in 'x-cloud-resource-version' of the GET request). If not specified, will unconditionally upsert.

skip_cascading_operations boolean · default: false

Whether or not to skip cascading operations, such as re-provisioning the Security Deployment.

Request body

Data containing the Deployment Domain Name to set

value string required

The domain name for all deployments. The hostname of an application in a deployment is constructed from the application ID and the domain name (for example, 1234567890.example.com).

Responses

The Deployment Domain Name was successfully saved.

application/json
value string required

The domain name for all deployments. The hostname of an application in a deployment is constructed from the application ID and the domain name (for example, 1234567890.example.com).

Response headers

x-cloud-resource-version string

The resource version, which is used to avoid update conflicts with concurrent operations

x-cloud-resource-created string

The date-time when the resource was created (ISO format relative to UTC)

x-cloud-resource-last-modified string

The date-time when the resource was last modified (ISO format relative to UTC)

The optimistic locking version format was wrong. (code: networking.cname.bad_version_format)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response

There is no configured Deployment Domain Name but optimistic locking was sent. (code: networking.cname.not_found)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response

There was an optimistic locking version conflict. (code: networking.cname.version_conflict)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response

skip_cascading_operations was false but the Security Deployment already had a pending plan. (code: security_deployment.cluster_pending_plan_exists)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response